﻿<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.1" />
    </startup>
  <system.serviceModel>
    <services>
      <service
        name="WcfDictionary.Dictionary"
        behaviorConfiguration="zachowanieSerwisu">
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:10001/WcfDictionary" />
          </baseAddresses>
        </host>
        <endpoint
          address="/Endpoint1"
          binding="wsHttpBinding"
          contract="WcfDictionary.IDictionary"/>
        <endpoint
          address="mex"
          binding="mexHttpBinding"
          contract="IMetadataExchange" />
      </service>
    </services>
    <behaviors>
      <serviceBehaviors>
        <behavior name="zachowanieSerwisu">
          <serviceThrottling
            maxConcurrentCalls="5"
            maxConcurrentSessions="5"
            maxConcurrentInstances="5"/>
          <serviceMetadata
            httpGetEnabled="true"
            httpGetUrl="" />
        </behavior>
      </serviceBehaviors>
    </behaviors>
  </system.serviceModel>
</configuration>